| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures
Here are the data structures with brief descriptions:

ACMP_001_T | Analog Comparator register block structure
ADC_Clock_Setup_T | Clock setup structure for ADC controller passed to the initialize function
BASECLK_INFO_T |
BSStruct |
CCAN_API_T |
CCAN_CALLBACKS_T |
CCAN_CANOPENCFG_T |
CCAN_MSG_OBJ_T |
CCAN_ODCONSTENTRY_T |
CCAN_ODENTRY_T |
CCU_CFGSTAT_T | CCU clock config/status register pair
CCUCLK_INFO_T |
CGU_PLL_REG_T |
CGU_USBAUDIO_PLL_SETUP_T |
Chip_I2S_Audio_Format_T | I2S Audio Format Structure
CHIP_SPI_CONFIG_FORMAT_T |
CHIP_SPI_DATA_SETUP_T | SPI data setup structure
Chip_SSP_DATA_SETUP_T |
CLK_BASE_STATES |
CLK_PERIPH_TO_BASE_T |
CLKIN_NAME_T |
DFU_FROMHOST_PACKETHDR_T |
DFU_TOHOST_PACKETHDR_T |
DFUPROG_REGION_T |
DFUPROG_REGZONE_T |
DIR |
DirEntry |
DISKIMAGE |
DMA_ChannelHandle_t | DMA channel handle structure
DMA_TransferDescriptor_t | Transfer Descriptor structure typedef
DMADescriptor |
EHCI_HOST_DATA_T |
FAT |
FAT12_img |
FATDate |
FATFS |
FATTime |
FIL |
file_ds |
FILINFO |
FLASH_BLANK_CHECK_SECTORS_COMMAND_T | [Blank check sector(s)] command parameter table structure
FLASH_BLANK_CHECK_SECTORS_OUTPUT_T | [Blank check sector(s)] command result table structure
FLASH_COMMAND_T | Command parameter table structure
FLASH_COMPARE_MEM_COMMAND_T | [Compare memory] command parameter table structure
FLASH_COMPARE_MEM_OUTPUT_T | [Compare memory] command result table structure
FLASH_COPY_RAM_TO_FLASH_COMMAND_T | [Copy Ram to Flash] command parameter table structure
FLASH_COPY_RAM_TO_FLASH_OUTPUT_T | [Copy Ram to Flash] command result table structure
FLASH_ERASE_SECTORS_COMMAND_T | [Erase Sector(s)] command parameter table structure
FLASH_ERASE_SECTORS_OUTPUT_T | [Erase Sector(s)] command result table structure
FLASH_OUTPUT_T | Command result table structure
FLASH_PREPARE_SECTORS_COMMAND_T | [Prepare sectors] command parameter table structure
FLASH_PREPARE_SECTORS_OUTPUT_T | [Prepare sectors] command result table structure
FLASH_READ_BOOTCODE_VER_COMMAND_T | [Read Boot code version number] command parameter table structure
FLASH_READ_BOOTCODE_VER_OUTPUT_T | [Read Boot code version number] command result table structure
FLASH_READ_PART_ID_COMMAND_T | [Read Part Identification number] command parameter table structure
FLASH_READ_PART_ID_OUTPUT_T | [Read Part Identification number] command result table structure
FLASH_READ_UID_COMMAND_T | [ReadUID] command parameter table structure
FLASH_READ_UID_OUTPUT_T | [ReadUID] command result table structure
FLASH_REINVOKE_ISP_COMMAND_T | [Reinvoke ISP] command parameter table structure
FLASH_REINVOKE_ISP_OUTPUT_T | [Reinvoke ISP] command result table structure
FONT_T |
fs_file |
GPDMA_Channel_CFG_T | GPDMA structure using for DMA configuration
HID_CollectionPath_t | HID Parser Report Item Collection Path Structure
HID_MinMax_t | HID Parser Report Item Min/Max Structure
HID_ReportInfo_t | HID Parser State Structure
HID_ReportItem_Attributes_t | HID Parser Report Item Attributes Structure
HID_ReportItem_t | HID Parser Report Item Details Structure
HID_ReportSizeInfo_t | HID Parser Report Size Structure
HID_Unit_t | HID Parser Report Item Unit Structure
HID_Usage_t | HID Parser Report Item Usage Structure
i2c_interface |
I2C_PARAM_T |
I2C_RESULT_T |
i2c_slave_interface |
I2C_XFER_T | Master transfer data structure definitions
I2CD_API_T |
I2S_RATE_CONFIG |
image_sig |
IP_ADC_001_T | 10 or 12-bit ADC register block structure
IP_ATIMER_001_T | Alarm Timer register block structure
IP_CAN_001_AF_RAM_T | CAN acceptance filter RAM register block structure
IP_CAN_001_AF_T | CAN acceptance filter register block structure
IP_CAN_001_CR_T | Central CAN register block structure
IP_CAN_001_RX_T | CAN Receive register block structure
IP_CAN_001_T | CAN register block structure
IP_CAN_001_TX_T | CAN Transmit register block structure
IP_CAN_AF_LUT_T | Acceptance Filter Section Table structure
IP_CAN_BUS_TIMING_T | CAN Bus Timing Structure
IP_CAN_EXT_ID_Entry_T | Extended ID Entry structure
IP_CAN_EXT_ID_RANGE_Entry_T | Extended ID Range structure
IP_CAN_MSG_T | CAN Message Object Structure
IP_CAN_STD_ID_Entry_T | Standard ID Entry structure
IP_CAN_STD_ID_RANGE_Entry_T | Standard ID Range structure
IP_CCAN_001_IF_T | CCAN message interface register block structure
IP_CCAN_001_T | CCAN Controller Area Network register block structure
IP_CMP_001_T | Comparator (CMP) register block structure
IP_CRC_001_T | CRC register block structure
IP_DAC_001_T | DAC register block structure
IP_EEPROM_001_T | EEPROM register block structure
IP_EEPROM_002_T | EEPROM register block structure
IP_EMC_001_T | External Memory Controller (EMC) register block structure
IP_EMC_DYN_CONFIG_T | EMC Dynamic Configure Struct
IP_EMC_DYN_DEVICE_CONFIG_T | EMC Dynamic Device Configuration structure used for IP drivers
IP_EMC_STATIC_CONFIG_T | EMC Static Configure Structure
IP_ENET_001_ENHRXDESC_T | Structure of a enhanced receive descriptor (with timestamp)
IP_ENET_001_ENHTXDESC_T | Structure of a enhanced transmit descriptor (with timestamp)
IP_ENET_001_RXDESC_T | Structure of a receive descriptor (without timestamp)
IP_ENET_001_T | 10/100 MII & RMII Ethernet with timestamping register block structure
IP_ENET_001_TXDESC_T | Structure of a transmit descriptor (without timestamp)
IP_ENET_002_CONTROL_T | Ethernet Control register block structure
IP_ENET_002_MAC_T | Ethernet (002) MAC register block structure
IP_ENET_002_MODULE_CTRL_T | Ethernet Module Control register block structure
IP_ENET_002_RXDESC_T | RX Descriptor structure
IP_ENET_002_RXFILTER_T | Ethernet Receive Filter register block structure
IP_ENET_002_RXSTAT_T | RX Status structure
IP_ENET_002_T | Ethernet register block structure
IP_ENET_002_TRANSFER_INFO_T | Ethernet Transfer register Block Structure
IP_ENET_002_TXDESC_T | TX Descriptor structure
IP_ENET_002_TXSTAT_T | TX Status structure
IP_GIMA_001_T | Global Input Multiplexer Array (GIMA) register block structure
IP_GPDMA_001_CH_T | GPDMA Channel register block structure
IP_GPDMA_001_T | GPDMA register block
IP_GPIO_001_T | GPIO port register block structure
IP_GPIO_002_T | GPIO port (GPIO_PORT) for LPC175x_6x, LPC177x_8x and LPC407x_8x
IP_GPIO_003_T | GPIO port register block structure
IP_GPIOGROUPINT_001_T | GPIO grouped interrupt register block structure
IP_GPIOINT_001_T | GPIO Interrupt register block structure
IP_GPIOPININT_001_T | GPIO pin interrupt register block structure
IP_I2C_001_T | I2C register block structure
IP_I2S_001_T | I2S register block structure
IP_LCD_001_T | LCD Controller register block structure
IP_MCPWM_001_T | Motor Control PWM register block structure
IP_MRT_001_T | MRT register block structure
IP_PMC_001_T | Power Management Controller register block structure
IP_QEI_001_T | Quadrature Encoder Interface register block structure
IP_REGFILE_001_T | Register File register block structure
IP_RITIMER_001_T | Repetitive Interrupt Timer register block structure
IP_RTC_001_T | Real Time Clock register block structure
IP_RTC_TIME_T |
IP_SCT_001_T | State Configurable Timer register block structure
IP_SDC_001_DATA_TRANSFER_T | SDC Data Transfer Setup structure
IP_SDC_001_RESP_T | SDC Command Response structure
IP_SDC_001_T | SD/MMC card Interface (SDC) register block structure
IP_SDMMC_001_T | SD/MMC & SDIO register block structure
IP_SGPIO_001_T | Serial GPIO register block structure
IP_SPI_001_T | SPI register block structure
IP_SPI_002_T | SPI register block structure
IP_SPI_CONFIG_T | SPI Configure Struct
IP_SPI_DELAY_CONFIG_T | SPI Delay Configure Struct
IP_SSP_001_T | SSP register block structure
IP_TIMER_001_T | 32-bit Standard timer register block structure
IP_USART_001_T | USART register block structure
IP_USART_002_T | USART2 register block structure
IP_USB_001_T | USB register block structure
IP_USBHS_001_T | USB High-Speed register block structure
IP_WKT_001_T | Self wake-up timer register block structure
IP_WWDT_001_T | Windowed Watchdog register block structure
ipc_queue | IPC Queue Structure used for sync between M0 and M4
ipcex_msg_t |
K9F1G_ID_T |
LCD_Config_T | A structure for LCD Configuration
LCD_PALETTE_ENTRY_T | LCD Palette entry format
LPC_CCU1_T | CCU1 register block structure
LPC_CCU2_T | CCU2 register block structure
LPC_CGU_T | LPC18XX/43XX CGU register block structure
LPC_CREG_T | CREG Register Block
lpc_enetdata | Debug output formatter lock define When using FreeRTOS and with LWIP_DEBUG enabled, enabling this define will allow RX debug messages to not interleave with the TX messages (so they are actually readable). Not enabling this define when the system is under load will cause the output to be unreadable. There is a small tradeoff in performance for this so use it only for debug
lpc_enetdata_t |
LPC_EVRT_T | Event Router register structure
LPC_FMC_T | FLASH Memory Controller Unit register block structure
LPC_IOCON_T | IOCON register block
LPC_MRT_T | MRT register block structure
lpc_nandflash_size_t | NAND Flash Size structure
LPC_OTP_T | OTP Register block
LPC_PIN_INT_T | LPC8xx Pin Interrupt and Pattern Match register block structure
LPC_PMU_T | Power Management Unit register block structure
LPC_RGU_T | RGU register structure
LPC_SCU_T | System Control Unit register block
LPC_SWM_T | LPC8XX Switch Matrix register block structure
LPC_SYSCTL_T | LPC11XX System Control block structure
LPC_USB_T | LPC11xx USB device register block structure
mci_card_struct |
MEM_POOL |
MEM_TEST_SETUP_T | Memory test address/size and result structure
message_object | CAN message object structure
NextLinkPointer |
OHCI_HOST_DATA_T |
OS_FLAG_GRP |
OS_MEM |
OS_MSG |
OS_MSG_POOL |
OS_MSG_Q |
OS_MUTEX |
OS_PEND_DATA |
OS_PEND_LIST |
OS_PEND_OBJ |
OS_Q |
OS_RDY_LIST |
OS_SEM |
OS_TCB |
OS_TICK_SPOKE |
OS_TMR |
OS_TMR_SPOKE |
PHCD_EndpointDescriptor |
PHCD_GeneralTransferDescriptor |
PHCD_QTD |
PIMA_Container_t | PIMA Still Image Device Command/Response Container
PINMUX_GRP_T |
Pipe_Handle_T |
Pipe_Stream_Handle_T |
PMemBlockInfo |
PROGALGOS_T |
pSDMMC_DMA_T | SDIO chained DMA descriptor
PWRD_API_T | LPC8XX Power ROM API structure
Ring_Buffer_t |
RINGBUFF_T | Ring buffer structure
ROM_API_T | LPC8XX High level ROM API structure
ROM_FUNCTION_TABLE |
RTC |
SCSI_Capacity_t | SCSI Device LUN Capacity Structure
sdif_device | SDIO device type
SDMMC_CARD_T | SD/MMC Card specific setup data structure
SDMMC_EVENT_T | SDC Event structure
SECTOR_INFO_T |
SPI_Address_t |
SSP_ConfigFormat |
st_EHCD_ITD |
st_EHCD_QHD |
st_EHCD_SITD |
st_HC_ED |
st_HC_GTD |
st_HC_HCCA |
st_HCD_IsoTransferDescriptor |
SWIM_WINDOW_T | Structure used to store information about a specific window
SYSCTL_PLL_REGS_T | LPC17XX/40XX Clock and Power PLL register block structure
TSC2046_Init_T |
UART_AB_CFG_T | Auto Baudrate mode configuration type definition
UART_CONFIG_T |
UART_FIFO_CFG_T | UART FIFO Configuration Structure definition
UART_PARAM_T |
UART_RingBuffer_T | UART Ring buffer structure
UARTD_API_T |
USB_ClassInfo_Audio_Device_t | Audio Class Device Mode Configuration and State Structure
USB_ClassInfo_Audio_Host_t | Audio Class Host Mode Configuration and State Structure
USB_ClassInfo_CDC_Device_t | CDC Class Device Mode Configuration and State Structure
USB_ClassInfo_CDC_Host_t | CDC Class Host Mode Configuration and State Structure
USB_ClassInfo_HID_Device_t | HID Class Device Mode Configuration and State Structure
USB_ClassInfo_HID_Host_t | HID Class Host Mode Configuration and State Structure
USB_ClassInfo_MIDI_Device_t | MIDI Class Device Mode Configuration and State Structure
USB_ClassInfo_MIDI_Host_t | MIDI Class Host Mode Configuration and State Structure
USB_ClassInfo_MS_Device_t | Mass Storage Class Device Mode Configuration and State Structure
USB_ClassInfo_MS_Host_t | Mass Storage Class Host Mode Configuration and State Structure
USB_ClassInfo_PRNT_Host_t | Printer Class Host Mode Configuration and State Structure
USB_ClassInfo_RNDIS_Device_t | RNDIS Class Device Mode Configuration and State Structure
USB_ClassInfo_RNDIS_Host_t | RNDIS Class Host Mode Configuration and State Structure
USB_ClassInfo_SI_Host_t | Still Image Class Host Mode Configuration and State Structure
USB_CMD_STAT |
USB_CORE_DESCS_T | USB descriptors data structure
USB_Descriptor_Configuration_t | Type define for the device configuration descriptor structure. This must be defined in the application code, as the configuration descriptor contains several sub-descriptors which vary between devices, and which describe the device's usage to the host
USB_HID_REPORT_T | HID report descriptor data structure
USB_Pipe_Data_t |
USBD_API_INIT_PARAM_T | USB device stack initilization parameter data structure
USBD_API_T | Main USBD API functions structure.This structure contains pointer to various USB Device stack's sub-module function tables. This structure is used as main entry point to access various methods (grouped in sub-modules) exposed by ROM based USB device stack
USBD_CDC_API_T | CDC class API functions structure.This module exposes functions which interact directly with USB device controller hardware
USBD_CDC_INIT_PARAM_T | Communication Device Class function driver initilization parameter data structure
USBD_CORE_API_T | USBD stack Core API functions structure
USBD_DFU_API_T | DFU class API functions structure.This module exposes functions which interact directly with USB device controller hardware
USBD_DFU_INIT_PARAM_T | USB descriptors data structure
USBD_HID_API_T | HID class API functions structure.This structure contains pointers to all the function exposed by HID function driver module
USBD_HID_INIT_PARAM_T | USB descriptors data structure
USBD_HW_API_T | Hardware API functions structure.This module exposes functions which interact directly with USB device controller hardware
USBD_MSC_API_T | MSC class API functions structure.This module exposes functions which interact directly with USB device controller hardware
USBD_MSC_INIT_PARAM_T | Mass Storage class function driver initilization parameter data structure
USBD_OVERRIDES_T |